package _VisualDVM.ProjectData.SapforData.Includes.UI;
import Common.Visual.Menus.GraphMenu;
import Common.Visual.Trees.SelectableTree;
import Common.Visual.Trees.SelectionTreeCellRenderer;
import _VisualDVM.Current;
import _VisualDVM.Global;
public class IncludesTree extends SelectableTree {
    public IncludesTree() {
        super(Global.mainModule.getProject().includes_root);
    }
    @Override
    public Current currentName() {
        return Current.IncludeGraphElement;
    }
    @Override
    public Class getRendererClass() {
        return SelectionTreeCellRenderer.class;
    }
    @Override
    protected GraphMenu createMenu() {
        return new IncludesMenu(this);
    }
}
